get
https://{app-url}{}/api/v2/feedbacks
Get Feedback
Users and trigger recipients provide feedback (Not Interesting/Good Catch) to anomaly alert triggers through the following channels:
- Alert console
- Trigger investigation page
- Directly from the alert received via email, Slack, and other supported channels
Utilize the feedback API endpoint to retrieve feedback instances provided by your organization members. This feedback can be used to refine your alerts, map anomalies to business cases, and enhance the overall utilization of Anodot by your teams. See more details here.
Request Arguments
| Argument | Type | Description |
|---|---|---|
| startTime | epoch | Required. Start time for retrieving feedback (epoch seconds). Default: now - 24 hours. |
| endTime | epoch | Required. End time for retrieving feedback (epoch seconds). Default: now. |
Response Fields
| Field | Type | Description / Example |
|---|---|---|
| total | number | Total number of feedback instances in the response. |
| feedbacks | array | Array of feedback objects. |
| id | string ($uuid) | Feedback ID. |
| type | string | Type of feedback. Possible values: Good Catch, Not Interesting. |
| comment | string | Optional user comment explaining the feedback. |
| createdTime | epoch | Time when the feedback was created (epoch seconds). |
| username | string | Email of the user who provided the feedback. |
| anomalyId | string | Link to the anomaly Investigate page in the Anodot platform. |
| alerts | array | Alerts associated with the feedback instance. |
| anomalyGroupId | string | Unique identifier of the alert group related to the feedback. |
| score | number | Anomaly score for which the feedback was provided. |
Alerts Array Fields
| Field | Type | Description / Example |
|---|---|---|
| id | string | Link to the alert settings page in the Anodot platform. |
| emailId | string | Identifier used in email notifications (first 5 characters of the anomaly ID). |
| alertName | string | Name of the alert in Anodot. |
| startTime | epoch | Alert start time (epoch seconds). |
| endTime | epoch | (Optional) Alert end time (epoch seconds). Present only if the alert is closed. |
| status | string | Alert status: {OPEN, CLOSE}. |
| alertOwner | string | Owner of the alert in Anodot. Can be a user (first and last name) or a group name. |
